using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Parser_Xls_Integral
{

    [Table("definicne_useky")]
    public class DefinicneUseky
    {
        [JsonProperty("id")]
        public string ID { get; set; }

        [JsonProperty("tu")]
        public string TU { get; set; }

        [JsonProperty("du")]
        public string DU { get; set; }

        [JsonProperty("od")]
        public string Od { get; set; }

        [JsonProperty("do")]
        public string Do { get; set; }

        [JsonProperty("km_od")]
        public string KmOd { get; set; }

        [JsonProperty("km_do")]
        public string KmDo { get; set; }

        [JsonProperty("kolajnost")]
        public string Kolajnost { get; set; }

        [JsonProperty("elektricka_trakcia")]
        public string ElektrickaTrakcia { get; set; }

        [JsonProperty("elektricka_trakcia_n")]
        public string ElektrickaTrakciaN { get; set; }

        [JsonProperty("stavebna_dlzka")]
        public string StavebnaDlzka { get; set; }

        [JsonProperty("vysokorychlostna_trat")]
        public string VysokorychlostnaTrat { get; set; }

        [JsonProperty("tichsia_trat")]
        public string TichsiaTrat { get; set; }

        [JsonProperty("kategoria_trate")]
        public string KategoriaTrate { get; set; }

        [JsonProperty("reakcny_cas_zz")]
        public string ReakcnyCasZZ { get; set; }

        [JsonProperty("priznak_stanicenia")]
        public string PriznakStanicenia { get; set; }

        [JsonProperty("priznak_stanice_definicny_usek")]
        public string PriznakStaniceDefinicnyUsek { get; set; }

        [JsonProperty("charakter_trate")]
        public string CharakterTrate { get; set; }

        [JsonProperty("typ_dopravy")]
        public string TypDopravy { get; set; }

        [JsonProperty("typ_prevadzky")]
        public string TypPrevadzky { get; set; }

        [JsonProperty("typ_trate_ten")]
        public string TypTrateTEN { get; set; }

        [JsonProperty("poznamka")]
        public string Poznamka { get; set; }

        [JsonProperty("kategoria_zatazenia")]
        public string KategoriaZatazenia { get; set; }
    }
}
